staqlydocs
REST APIAPI referenceChannels

The workspace's connect links, newest first

The workspace's connect links, newest first (last 100); tokens are never shown again (channels:manage)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/channel-links

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Response Body

OK

application/json
  1. response
data*array<>
curl -X GET 'https://staqly.example.com/v1/channel-links'
{  "data": [    {      "id": "string",      "note": "string",      "providers": [        "string"      ],      "group_id": "string",      "max_uses": 0,      "uses": 0,      "status": "open",      "created_by": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "revoked_at": "2019-08-24T14:15:22Z",      "url": "string",      "token": "string"    }  ]}